1.1
1.1
get /v1/quota-requests
Description
get quota requests list
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260223 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | service optional | Service Name Example : Virtual Server | any of [string, null] | None |
| query | quota_item optional | Quota Item Name Example : QUOTA.REQUEST.COUNT | any of [string, null] | None |
| query | requester optional | Requester Information Example : cloud.kim | any of [string, null] | None |
| query | request_class optional | Request Class Example : Account | any of [string, null] | None |
| query | requested_start_at optional | Start date of the request Example : 2024-05-01 | any of [string (date-time), null] | None |
| query | requested_end_at optional | End date of the request Example : 2024-05-31 | any of [string (date-time), null] | None |
| query | applied_start_at optional | Start date of the application Example : 2024-05-01 | any of [string (date-time), null] | None |
| query | applied_end_at optional | End date of the application Example : 2024-05-31 | any of [string (date-time), null] | None |
| query | state optional | Request State Example : BEFORE_APPROVE | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | QuotaRequestListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/quota-requests
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = quota 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"quota_requests": [
{
"applied_at": "2024-05-17T00:23:17Z",
"applied_value": 200,
"approval_message": "Quota increase request message.",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"free_rate": 10,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"initial_value": 100,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"quota_item": "QUOTA.REQUEST.COUNT",
"request_class": "Account",
"request_message": "Quota increase request message.",
"request_value": 300,
"requester": "cloudkim",
"service": "Virtual Server",
"state": "BEFORE_APPROVE",
"unit": "GB"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}